Name:          jfsutils
Version:       1.1.15
Release:       16
Summary:       Administration and debugging tools for the JFS filesystem
License:       GPLv3
URL:           http://jfs.sourceforge.net/
Source0:       http://jfs.sourceforge.net/project/pub/jfsutils-1.1.15.tar.gz
Patch0001:     jfsutils-1.1.15-linux-headers.patch
Patch0002:     jfsutils_sysmacros.patch
Patch6000:     backport-fix-building-against-gcc-10.patch
Patch9000:     jfsutils-reslove-build-error.patch
Buildrequires: libuuid-devel git gdb gcc

%description
JFS(IBM's Journaled File System) is used in IBM enterprise servers,
is designed for high-throughput server environments, key to running
intranet and other high-performance e-business file servers.
The jfsutils package is an dministration and debugging tools for the JFS
filesystem, which mainly contains a number of utilities for creating,
checking, modifying, and correcting any inconsistencies in JFS filesystems.

%prep
%autosetup -n %{name}-%{version} -p1 -Sgit

%build
%configure 
%make_build

%install
rm -rf $RPM_BUILD_ROOT
%make_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_sbindir}/*
%{_mandir}/man8/*
%doc AUTHORS NEWS ChangeLog
%license COPYING

%changelog
* Sat Jul 31 2021 shixuantong<shixuantong@huawei.com> - 1.1.15-16
- Type:bugfix
- CVE:NA
- SUG:NA
- DESC:fix building against gcc-10

* Wed Jun 23 2021 yuanxin<yuanxin24@huawei.com> - 1.1.15-15
- Type:bugfix
- CVE:NA
- SUG:NA
- DESC:add buildrequires gcc

* Fri Feb 14 2020 gulining<gulining1@openeuler.org> - 1.1.15-14
- Package init
